#### D.14.1.41 arrPoincare

Procedure from library `arr.lib` (see arr_lib).

Usage:
  arrPoincare(A); arr A

Return:
  [intvec] The Poincare polynomial as integer vector of the arrangement, which is equal to the second kind Poincare-Series of the Orlik-Solomon Algebra.

Example:

    LIB "arr.lib";
    ring R = 0,(x,y,z,u,v),dp;
    arr A = arrBraid(5);
    intvec v = arrPoincare(A);
    (1+x)*(1+2x)*(1+3x)*(1+4x);
    ==> 24x4+50x3+35x2+10x+1
    v;
    ==> 1,10,35,50,24

See also: arrBoundedChambers; arrChambers; arrPoincare.

User manual for Singular version 4.4.1, 2025, generated by texi2html.